cceconv(1)

NAME
cceconv - CCE GB2312/GBK/Big5/JIS/ShiftJIS/KSC/UHC DOS/Unix Universal Convertor

SYNOPSYS
cceconv [options] <CONVOPTION> [-o file ...] [-n infile outfile ...]

Options:

[-hkqV] [--help] [--keepdate] [--keepperm] [--quiet] [--version]

<CONVOPTION> -gb2big|-big2gb|-gbk2big|-big2gbk|-gb2sjis|-sjis2gb|-sjis2euc|-euc2sjis|-gb2ksc|-ksc2gb|...

<CONVOPTION> -dos2unix|-unix2dos|-d2u|-u2d

DESCRIPTION
The program is a universal encoding convertor which can convert encodings between Chinese(GB2312/GBK/Big5) Japanese(JIS/ShiftJIS) and Korean(KSC/UHC). It is a internal code convertor for hanzis in different encoding systems. GBK is a superset of GB and UHC is a superset of KSC, so no need to do gb2gbk or ksc2uhc conversion. Also, it can convert DOS and Unix files. It can operate in stream(stdin/stdout) mode, old file mode(will overwrite old file) and new file mode(assign new filename).

OPTIONS
The following options are available:

-h --help
    Print online help.

-k --keepdate
    Keep the date stamp of output file same as input file.

-p --keepperm
    Keep the permision mode of output file same as input file.

-q --quiet
    Quiet mode. Suppress all warning and messages.

-V --version
    Prints version information.

-o --oldfile file ...
    Old file mode. Convert the file and write output to it. The program default to run in this mode. Wildcard names may be used.

-n --newfile infile outfile ...
    New file mode. Convert the infile and write output to outfile. File names must be given in pairs and wildcard names should NOT be used or you WILL lost your files.

-gb2big|-big2gb|-gbk2big|-big2gbk ...
    Conversion between Chinese encoding, basically you can use any combination from gb,gbk,big,jis,sjis,shiftjis,ksc,uhc. The half-width Japanese kanas will be converted to full-width kanas if it's not a conversion between EUC-JP and Shift-JIS (Shift-JIS uses 0xA0-0xDF for half-width kanas).

-sjis2jis|-jis2sjis|-gb2jis|-jis2gb|-jis2ksc|-ksc2jis ...
    Conversion between Japanese encoding EUC-JP, Shift-JIS and Chinese/Korean. Half-width kanas will be keeped in EUC-JP(preceded by 0x8E) and Shift-JIS(0xA0-DF).

-gb2ksc|-ksc2gb|-gbk2uhc|-uhc2gbk ...
    Conversion between Korean, Chinese and Japanese hanzis. Currently, UHC is not fully supported yet(it is the same as KSC).

EXAMPLES

Get input from stdin and write output to stdout.

    cceconv

Convert and replace a.txt. Convert and replace b.txt.

    cceconv a.txt b.txt

    cceconv -o a.txt b.txt

Convert and replace a.txt while keeping original date stamp.

    cceconv -k a.txt

    cceconv -k -o a.txt

Convert a.txt and write to e.txt.

    cceconv -n a.txt e.txt

Convert a.txt and write to e.txt, keep date stamp of e.txt same as a.txt.

    cceconv -k -n a.txt e.txt

Convert and replace a.txt. Convert b.txt and write to e.txt.

    cceconv a.txt -n b.txt e.txt

    cceconv -o a.txt -n b.txt e.txt

Convert c.txt and write to e.txt. Convert and replace a.txt. Convert and replace b.txt. Convert d.txt and write to f.txt.

    cceconv -n c.txt e.txt -o a.txt b.txt -n d.txt f.txt

SEE ALSO
cce(1)